[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.CreateColumns

Creates the Columns collection for the grid control.

## Declaration

Source position: dbgrids.pas line 426

`protected function TCustomDBGrid.CreateColumns: TGridColumns; override;`

## Function result

Columns collection for the grid control.

## Description

CreateColumns is an overridden TGridColumns function used to create the Columns collection for the grid control. In TDBGrid, the Columns collection is implemented using the TDBGridColumns class type (a descendant of TGridColumns). CreateColumns creates an instance of TDBGridColumns which is used as the return value for the method.

## See also

TCustomGrid.CreateColumns |  | Allocates and configures resources for the Columns collection.